# $Revision: 1.15 $, $Date: 2002/07/02 08:22:46 $
%define		pname		mozilla
Summary:	Mozilla Embedded
Summary(pl):	Mozilla Embedded - silnik mozilli dla innych przegldarek
Name:		mozilla-embedded
Version:	1.0
Release:	2
Epoch:		2
License:	GPL
Group:		X11/Applications/Networking
Source0:	ftp://ftp.mozilla.org/pub/mozilla/releases/mozilla%{version}/src/%{pname}-source-%{version}.tar.bz2
Source1:	%{pname}-libart.tar.bz2
Source2:	%{name}-basebrowser-unix
Patch0:		%{pname}-nss.patch
Patch1:		%{pname}-gdkxft.patch
Patch2:		http://people.redhat.com/blizzard/mozilla/gtk2_embedding/2002-04-11/gtk2_embed.patch
Patch3:		http://people.redhat.com/blizzard/mozilla/gtk2_embedding/2002-04-11/gtk2_widget.patch
URL:		http://www.mozilla.org/projects/newlayout/
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	freetype-devel >= 2.0.9
%{!?_with_gtk2:BuildRequires:	gtk+-devel}
%{?_with_gtk2:BuildRequires:	gtk+2-devel >= 2.0.2}
%{?_with_gtk2:BuildRequires:	pkgconfig}
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel >= 1.0.4
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	nss-devel >= 3.4.1
BuildRequires:	nspr-devel >= 4.1.2-3
BuildRequires:	perl-modules >= 5.6.0
BuildRequires:	unzip
BuildRequires:	zip >= 2.1
%{?_with_gdkxft:Requires:	gdkxft}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	nss >= 3.4.1
Obsoletes:	mozilla

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

This is embedding part of Mozilla Project. It allows to build and use
other web browsers.

%description -l pl
Mozilla jest potn graficzn przegldark WWW, ktra jest nastpc
Netscape Navigatora.

Pakiet ten zawiera cz projektu Mozilla, ktra umoliwia zbudowanie
i uywanie innych przegldarek, ktre s oparte o w/w projekt.

%package devel
Summary:	Headers for developing programs that will use Mozilla
Summary(pl):	Mozilla - pliki nagwkowe i biblioteki
Summary(pt_BR):	Arquivos de incluso para desenvolvimento de programas que usam o Mozilla
Summary(ru):	,    ,  Mozilla
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	nspr-devel
Obsoletes:	mozilla-devel

%description devel
Mozilla development libs and headers.

%description devel -l pl
Biblioteki i pliki nagwkowe suce do tworzenia programw
uywajcych silnika Mozilli.

%description devel -l pt_BR
Arquivos de incluso para desenvolvimento de programas que usam o
Mozilla.

%description devel -l ru
 ,    , 
Mozilla

%prep
%setup -q -a 1 -n mozilla
%patch0 -p1
%{?_with_gdkxft:%patch1 -p1}
%{?_with_gtk2:%patch2 -p1}
%{?_with_gtk2:%patch3 -p1}

%build
BUILD_OFFICIAL="1"; export BUILD_OFFICIAL

MOZ_INTERNAL_LIBART_LGPL="x"
export MOZ_INTERNAL_LIBART_LGPL

%if %{_gcc_ver} > 2
CXXFLAGS="-Wno-deprecated"; export CXXFLAGS
%endif

install %{SOURCE2} embedding/config/basebrowser-unix

#
# changes to mozilla
# - not included in rpm at all:
#	- ldap
#	- mailnews
#
%configure2_13 \
	--disable-debug \
	--disable-dtd-debug \
	--disable-elf-dynstr-gc \
	--disable-ldap \
	--disable-mailnews \
	--disable-pedantic \
	--disable-short-wchar \
	--disable-tests \
	--enable-crypto \
	--enable-extensions \
	--enable-mathml \
	--enable-new-cache \
	--enable-optimize="%{rpmcflags}" \
	--enable-postscript \
	--enable-strip-libs \
	--enable-svg \
	%{!?_with_gtk2:--enable-toolkit-gtk} \
	%{?_with_gtk2:--disable-toolkit-gtk --enable-default-toolkit=gtk2} \
	--enable-xinerama \
	--enable-xprint \
	--enable-xsl \
	--disable-xterm-updates \
	--with-default-mozilla-five-home=%{_libdir}/mozilla \
	--with-pthreads \
	--with-system-jpeg \
	--with-system-mng \
	--with-system-nspr \
	--with-system-png \
	--with-system-zlib \
	--with-x

%{__make}
# embedded part
%{__make} -C embedding/config

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_datadir}/%{pname}/{chrome,defaults,res} \
	$RPM_BUILD_ROOT%{_libdir}/%{pname}/{components,plugins} \
	$RPM_BUILD_ROOT%{_includedir}/%{pname} \
	$RPM_BUILD_ROOT%{_datadir}/idl

ln -sf ../../share/mozilla/chrome $RPM_BUILD_ROOT%{_libdir}/%{pname}/chrome
ln -sf ../../share/mozilla/defaults $RPM_BUILD_ROOT%{_libdir}/%{pname}/defaults
ln -sf ../../share/mozilla/res $RPM_BUILD_ROOT%{_libdir}/%{pname}/res

LD_LIBRARY_PATH="dist/Embed" MOZILLA_FIVE_HOME="dist/Embed" dist/bin/regxpcom
LD_LIBRARY_PATH="dist/Embed" MOZILLA_FIVE_HOME="dist/Embed" dist/bin/regchrome

cd dist/Embed

echo "%defattr(644,root,root,755)" > embedded-mozilla.list
# at first overwrite file list
# with libraries, which go to %{_libdir}
for f in *.so; do echo "%attr(755,root,root) %{_libdir}/$f"; done >> embedded-mozilla.list

# next all files in %{_datadir}/mozilla
for f in chrome defaults res; do
	find $f -type f -printf %{_datadir}/%{pname}/%p\\n ;
done >> embedded-mozilla.list

# and files in %{_libdir}/mozilla
for f in components/*.so ; do
	echo "%attr(755,root,root) %{_libdir}/%{pname}/$f"
done >> embedded-mozilla.list
for f in components/*.xpt ; do
	echo "%{_libdir}/%{pname}/$f"
done >> embedded-mozilla.list


install -m 755 *.so $RPM_BUILD_ROOT%{_libdir}
install -m 755 ../bin/regxpcom $RPM_BUILD_ROOT%{_bindir}
install -m 755 ../bin/regchrome $RPM_BUILD_ROOT%{_bindir}
install component.reg $RPM_BUILD_ROOT%{_libdir}/%{pname}
cp -frL chrome defaults res $RPM_BUILD_ROOT%{_datadir}/%{pname}
cp -frL components $RPM_BUILD_ROOT%{_libdir}/%{pname}

# back to dist directory
cd ..
cp -frL include/*	$RPM_BUILD_ROOT%{_includedir}/%{pname}
cp -frL idl/*		$RPM_BUILD_ROOT%{_datadir}/idl

# plugin support
install bin/components/libgkplugin.so bin/components/plugin.xpt \
	$RPM_BUILD_ROOT%{_libdir}/%{pname}/components
install lib/libgtkxtbin.so $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
rm -f %{_libdir}/mozilla/component.reg
MOZILLA_FIVE_HOME=%{_libdir}/mozilla %{_bindir}/regchrome
MOZILLA_FIVE_HOME=%{_libdir}/mozilla %{_bindir}/regxpcom

%postun	-p /sbin/ldconfig

%files -f dist/Embed/embedded-mozilla.list
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/reg*
%{_libdir}/%{pname}/component.reg
%{_libdir}/%{pname}/components/*.dat
%{_datadir}/idl/*

# plugin support
%attr(755,root,root) %{_libdir}/%{pname}/components/libgkplugin.so
%{_libdir}/%{pname}/components/plugin.xpt
%attr(755,root,root) %{_libdir}/libgtkxtbin.so

# mozilla directories
%dir %{_libdir}/%{pname}
%dir %{_libdir}/%{pname}/components
%dir %{_libdir}/%{pname}/plugins
%dir %{_datadir}/%{pname}
%dir %{_datadir}/%{pname}/res
%dir %{_datadir}/%{pname}/res/builtin
%dir %{_datadir}/%{pname}/defaults
%dir %{_datadir}/%{pname}/defaults/pref
%dir %{_datadir}/%{pname}/chrome

# symlinks
%{_libdir}/%{pname}/chrome
%{_libdir}/%{pname}/defaults
%{_libdir}/%{pname}/res

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{pname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-embedded.spec,v $
Revision 1.15  2002/07/02 08:22:46  qboosh
- moved idl files to base; release 2

Revision 1.14  2002/06/30 18:45:47  qboosh
- merged DEVEL branch (1.0.rc1), sync with mozilla 1.0 - not tested
- removed outdated regxpcom_segfault patch

Revision 1.13.2.12  2002/04/28 16:50:45  qboosh
- libpng 1.2.2 support

Revision 1.13.2.11  2002/04/21 04:47:56  wrobell
- bug 138387 is fixed in mozilla cvs; patch between 1.0.rc1 and mozilla cvs
  added, so regxpcom won't segfault

Revision 1.13.2.10  2002/04/21 03:18:26  wrobell
- info about bug 138387

Revision 1.13.2.9  2002/04/21 03:02:31  wrobell
- rel. 1

Revision 1.13.2.8  2002/04/21 03:01:19  wrobell
- add ugly hack to build it (it should be tested every next mozilla release
  if it is really needed at all)
- fixed file list (chrome directory and linkt to it is very important)

Revision 1.13.2.7  2002/04/20 08:20:58  wrobell
- fixed file list

Revision 1.13.2.6  2002/04/19 23:46:11  wrobell
- for svg support use mozilla embedded installation way

Revision 1.13.2.5  2002/04/19 12:50:59  wrobell
- do not use system components (nss, nspr)
- fixed build requirements

Revision 1.13.2.4  2002/04/19 07:34:01  wrobell
- minor cleanup

Revision 1.13.2.3  2002/04/14 16:51:38  wrobell
- sync build requirements and conflicts with mozilla.spec

Revision 1.13.2.2  2002/04/12 01:04:35  wrobell
- use new nss mozilla patch

Revision 1.13.2.1  2002/04/12 00:59:14  wrobell
- synchronize with mozilla.spec (configure options, build requirements)
- ver. 0.9.9

Revision 1.13  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/18 22:55:34  wrobell
- ver. 0.9.8
- rel. 3
- stb

Revision 1.11  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/12 16:33:09  michuz
- updated to 0.9.6

Revision 1.9  2002/01/03 23:07:11  gotar
- removed BuildRequires: fileutils (rpm-build does require it).

Revision 1.8  2001/12/31 19:33:25  ankry
- changed Source0 from gz to bz2. It is smaller

Revision 1.7  2001/12/28 17:15:55  gotar
- changes in descriptions.

Revision 1.6  2001/10/30 00:13:03  wrobell
- plugin support
- rel. 3

Revision 1.5  2001/10/29 18:04:32  kloczek
- release 2.

Revision 1.4  2001/10/29 00:00:44  wrobell
- added 'obsoletes' rules (upgrade from mozilla to mozilla-embedded and
  in opposite direction is possible)

Revision 1.3  2001/10/28 15:29:06  wrobell
- don't build ldap and mailnews support - it is not included in rpm at all

Revision 1.2  2001/10/27 22:21:41  wrobell
- include files should be in %{_includedir}/mozilla
  not %{_includedir}/mozilla-embedded directory!

Revision 1.1  2001/10/27 21:48:16  wrobell
- based on mozilla.spec
